package com.tuoheng.admin.enums.code.inspectionfile;

/**
 *  任务问题忽略返回码
 *      模块代码：24（问题管理）
 *      接口代码：06 （任务问题忽略）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-05
 */
public enum InspectionFileIgnoreCodeEnum {

    IGNORE_IS_FAILED(1240600, "忽略任务问题失败"),
    INSPECTION_FILE_ID_IS_NULL(1240601, "任务问题id为空"),
    INSPECTION_FILE_IS_NOT_EXIST(1240602, "任务问题不存在"),
    NOT_WAIT_CONFIRMED_OR_CONFIRMED_CAN_IGNORED(1240603, "非待确认和已确认不能被忽略");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    InspectionFileIgnoreCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
